Bug 360601 - depepndency issue in packaging
depepndency issue in packaging
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: system-config-keyboard (Show other bugs)
5.0
All Linux
low Severity low
: ---
: ---
Assigned To: Nils Philippsen
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-31 13:19 EDT by Jon Stanley
Modified: 2013-04-15 07:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 952125 (view as bug list)
Environment:
Last Closed: 2013-04-15 05:22:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jon Stanley 2007-10-31 13:19:41 EDT
+++ This bug was initially created as a clone of Bug #360581 +++

* this is the RHEL instance of this bug *

There's some weird dependencies going on between firstboot and system-config-*.
 This came up in RHEL, however it exists in Fedora and is likely best fixed
there first.  The problem is:

system-config-keyboard <-> firstboot

The problem comes in removing iptables-ipv6, which (properly)
system-config-securitylevel-tui depends on. system-config-securitylevel depends
on s-c-sl-tui for some reason (it also doesn't pull in iptables-ipv6 by itself
for some reason).  So in order to remove iptables-ipv6, you have to remove
firstbbot, firstboot-tui, s-c-k, s-c-sl, and s-c-sl-tui.  All of those make
sense except for system-config-keyboard, which itself should not require
firstboot - though firstboot should require s-c-k.
  
Actual results:


Expected results:


Additional info:
Comment 1 Red Hat Bugzilla 2007-11-14 10:40:38 EST
User pgraner@redhat.com's account has been closed
Comment 2 Red Hat Bugzilla 2007-11-14 10:49:04 EST
User pgraner@redhat.com's account has been closed
Comment 4 Nils Philippsen 2013-04-15 05:22:05 EDT
Unfortunately it's too late in the life cycle of Red Hat Enterprise Linux 5 to fix this bug. The upcoming 5.10 update is going to be the first production phase 2 release of Red Hat Enterprise Linux 5. From phase 2 on we'll be addressing primarily security and critical issues, therefore I'll close this bug.

This issue is fixed in current package versions, I've also cloned this bug for Red Hat Enterprise Linux version 6 which still has the dependency: bug #952125.

Note You need to log in before you can comment on or make changes to this bug.